• 0

PageLess Page{Less} doesn't work with DMS2

Question

Posted · Report post

I placed the update to DMS2 but I lost all previous css settings. 
In practice there is no longer the section for custom the page-specific css, relating to the plugin Page{Less}. Why?
 
The plugin has been updated to work with DMS2?

Share this post


Link to post
Share on other sites

5 answers to this question

  • 0

Posted · Report post

layasamadhi

 

 

Good news!  DMS 2.0.1 was just released which included my patch.  I have just released PageLESS 1.2.3 which is compatible with 2.0.1.

 

Let me know if you continue to experience any problems after updating both.

1 person likes this

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

Hey there layasamadhi,

 

Yes I can confirm that the plugin is not yet compatible with DMS 2.0.  It was working with an earlier beta but something seems to have changed since.  I'm looking into it and will update as soon as I can.

 

I will let you know when the update is available here but you can always tune into my twitter update stream @aaemnnosttv_ext as well.

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

Ok. 
 
It's a matter of days or weeks?

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

Hey layasamadhi,

 

After doing some extensive research on this today, I found a few things.

  1. PageLess was not identifying DMS 2 as DMS and therefore loading the legacy version (PLF V2)
  2. DMS 2 is breaking the data PageLess is trying to store (the source less) - this will wipe out your saved PageLess as well.

I have brought the DMS issue to the lead developer's attention and I have a pull request in to fix it.  I am hoping to have it merged asap.  From what I hear, 2.0.1 is scheduled for release early next week.

I will release an update for PageLess with the upcoming update of DMS.

 

Once I know the patch is approved for core, I can post it here if you need it earlier.  Otherwise unless you need something from 2.0, your best bet might be to rollback to 1.1.8 if possible until 2.0.1 is out.

 

Just know that I'm trying to get it sorted out asap.

1 person likes this

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

Yea! Thank you very much.

1 person likes this

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now